/**
 * Set mappings to Trend cloud api.
 */

const TOKEN_NAME = 'trendToken';

const API_ROOT = process.env.SERVER_NAME === 'dev1'
  ? 'http://172.24.16.222:3002'
  : process.env.SERVER_NAME === 'web1'
    ? 'http://184.106.27.221:3002'
    : 'http://localhost:3000';

const HTTP = {
  get: 'GET',
  post: 'POST',
  put: 'PUT',
  delete: 'DELETE'
};

const ANY_USER = 'any';
const USDAFOODS_USER = 'usdafoods';

const LOGIN_URL = 'auth/login';
const LOGOUT_URL = 'auth/logout';
const REFRESH_URL = 'auth/refresh';

const USERS_URL = 'api/users';
const RECIPES_URL = 'api/recipes';
const MEALS_URL = 'api/meals';
const FOODS_URL = 'api/foods';

const UPLOAD_IMAGE_URL = `${API_ROOT}/upload/image`;

module.exports = {
  TOKEN_NAME,
  API_ROOT,
  HTTP,
  ANY_USER,
  USDAFOODS_USER,
  LOGOUT_URL,
  LOGOUT_URL,
  REFRESH_URL,
  USERS_URL,
  RECIPES_URL,
  MEALS_URL,
  FOODS_URL,
  UPLOAD_IMAGE_URL
};
